=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2008-03-05 23:02:07 +0000
+++ loggerhead/history.py	2008-03-06 02:35:59 +0000
@@ -657,7 +657,10 @@
                             revid_list)
         repo = self._branch.repository
         parent_map = repo.get_graph().get_parent_map(revid_list)
-        present_revids = filter(lambda revid:revid in parent_map, revid_list)
+        # We need to return the answer in the same order as the input,
+        # less any ghosts.
+        present_revids = [revid for revid in revid_list
+                          if revid in parent_map]
         rev_list = repo.get_revisions(present_revids)
 
         return [self._change_from_revision(rev) for rev in rev_list]

